JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
AudioPlayHead::LoopPoints Struct Reference
juce_audio_basics » audio_play_head

Holds the begin and end points of a looped region. More...

`#include <juce_AudioPlayHead.h>`

## Public Member Functions
bool | operator== (const LoopPoints &other) const
bool | operator!= (const LoopPoints &other) const

## Public Attributes
double | ppqStart = 0
| The current cycle start position in units of quarter-notes.
double | ppqEnd = 0
| The current cycle end position in units of quarter-notes.

## Detailed Description

Holds the begin and end points of a looped region.

See also
  PositionInfo::getIsLooping() PositionInfo::setIsLooping() PositionInfo::getLoopPoints() PositionInfo::setLoopPoints()

## Member Function Documentation

## ◆ operator==()

bool AudioPlayHead::LoopPoints::operator== | ( | const LoopPoints & | other | ) | const

References x.

## ◆ operator!=()

bool AudioPlayHead::LoopPoints::operator!= | ( | const LoopPoints & | other | ) | const

References operator==().

## Member Data Documentation

## ◆ ppqStart

double AudioPlayHead::LoopPoints::ppqStart = 0

The current cycle start position in units of quarter-notes.

## ◆ ppqEnd

double AudioPlayHead::LoopPoints::ppqEnd = 0

The current cycle end position in units of quarter-notes.

The documentation for this struct was generated from the following file:

- juce_AudioPlayHead.h